Bug 63152 - segmentation fault when executing certain scripts
segmentation fault when executing certain scripts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://impi.leidenuniv.nl (guest guest)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 13:34 EDT by Nico Stuurman
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 08:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nico Stuurman 2002-04-10 13:34:37 EDT
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)



Description of problem:

Certain php scripts produce a segmentation fault (as reported in the 
error.log) and output of the scripts stops prematurely.  I have not been 
able to track this down to specific lines of code.. the segmentation fault 
did not happen with earlier php releases, or with the current Suse 
release.



in URL above, click 'Upload', Select '3-D' and press 'Next'

or: click: 'templates', select '3-D' and click 'new template'



Version-Release number of selected component (if applicable):





How reproducible:

Always



Steps to Reproduce:

1. install sidb from: http://sourceforge.net/project/
showfiles.php?group_id=17393&release_id=81424

2. In the setu menu (accessible through globals), make sure to check 'Are 
you using Huygens2t' to 'Yes'

3. click 'Upload', Select '3-D' and press 'Next'

or: click: 'templates', select '3-D' and click 'new template'

	



Actual Results:  output of the webpage stops prematurely.  The apache 
error log (/etc/init.d/log/error_log) has the notice: child pid xxxxx exit signal 
Segmentation fault (11)

 



Expected Results:  The page should have been fully displayed, no 
segmentation fault should have occurred.



Additional info:



I have seen this on two servers, both running 7.1 with a custom kernel 
with XFS support.  This did not happen before the latest php update, and 
does not happen with other php versions on other platforms.
Comment 1 Timothy Burt 2002-12-18 10:38:33 EST
A recent rpm update broke one of my scripts.  I love PHP so much, I use it from 
the command line too.

I whittled it down to:

<?
define('STDIN',fopen("php://stdin","r"));
?>

This causes a core dump (segmentation fault) on my RH 7.0 and 7.3 boxes with 
PHP 4.1.2.  I compiled the 4.2.2 source, and tested that executable, and it 
does not fault.

I hope this can help somebody find the bug, by giving a simple example.

For now, I just call the PHP 4.2.2 executable explicitly, and my scripts are 
working again.

BTW.  I did not test this against mod PHP.  I assume it core dumps there too.

Comment 2 Joe Orton 2004-04-05 08:29:34 EDT
Thanks for the report.  This is fixed in current releases, please
reopen if the bug recurs.

Note You need to log in before you can comment on or make changes to this bug.